function y=mean_dyn(x);
y=[];
if ~ischar(x)
    disp('input must be string');
    return
end
lgy_=evalin('base','M_.endo_names');
posx=find_incell(str2cell(lgy_),['\<',deblank(x),'\>']);
meandyn=evalin('base','oo_.mean');

y=meandyn(posx);
return
